Mailinglist Archive: opensuse-updates (111 mails)

< Previous Next >
openSUSE-SU-2018:0542-1: moderate: Security update for GraphicsMagick
openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0542-1
Rating: moderate
References: #1050132 #1072898 #1077737
Cross-References: CVE-2017-11533 CVE-2017-17500 CVE-2017-17682

Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for GraphicsMagick fixes the following issues:

Security issues fixed:

- CVE-2017-11533: An infoleak by 1 byte due to heap-based buffer over-read
in the WriteUILImage() in coders/uil.c was fixed (boo#1050132)
- CVE-2017-17682: A large loop vulnerability was found in the function
ExtractPostscript in coders/wpg.c, which allowed attackers to cause a
denial of service (CPU exhaustion) (boo#1072898)
- CVE-2017-17500: A heap-based buffer overread in the ImportRGBQuantumType
was fixed that could lead to information leak or a crash (boo#1077737)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-213=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-74.1
GraphicsMagick-debuginfo-1.3.25-74.1
GraphicsMagick-debugsource-1.3.25-74.1
GraphicsMagick-devel-1.3.25-74.1
libGraphicsMagick++-Q16-12-1.3.25-74.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-74.1
libGraphicsMagick++-devel-1.3.25-74.1
libGraphicsMagick-Q16-3-1.3.25-74.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-74.1
libGraphicsMagick3-config-1.3.25-74.1
libGraphicsMagickWand-Q16-2-1.3.25-74.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-74.1
perl-GraphicsMagick-1.3.25-74.1
perl-GraphicsMagick-debuginfo-1.3.25-74.1


References:

https://www.suse.com/security/cve/CVE-2017-11533.html
https://www.suse.com/security/cve/CVE-2017-17500.html
https://www.suse.com/security/cve/CVE-2017-17682.html
https://bugzilla.suse.com/1050132
https://bugzilla.suse.com/1072898
https://bugzilla.suse.com/1077737


< Previous Next >
This Thread
  • No further messages